package com.ipsplm.entity.common;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 基础实体类
 * @Author FanDongqiang
 * @Date 2023/2/20 10:38
 * @Version 1.0
 */
@Data
public class BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 创建人
     */
    @TableField("creator")
    private Long creator;

    /**
     * 创建时间
     */
    @TableField("gmt_created")
    private Date gmtCreated;

    /**
     * 更新人
     */
    @TableField("editor")
    private Long editor;

    /**
     * 更新时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;
}
