package com.ipsplm.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONException;

/**
 * @Description JSON工具类
 * @Author FanDongqiang
 * @Date 2023/2/17 10:42
 * @Version 1.0
 */
public class JSONUtils {
    /**
     * 是否合法Json
     *
     * @param jsonStr 待解析字符串
     * @return
     */
    public static boolean isJSONValidate(String jsonStr){
        try {
            JSON.parse(jsonStr);
            return true;
        } catch (JSONException e) {
            return false;
        }
    }
}
