package com.ipsplm.entity.iot;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
@Data
@TableName("xazz_iot_device_list_sync")
public class XaIotDeviceListSync implements Serializable {
    //主键id
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    //设备编号
    @TableField("device_num")
    private String deviceNum;
    //设备名称
    @TableField("device_name")
    private String deviceName;
    //设备型号
    @TableField("device_model")
    private String deviceModel;
    //公司名称
    @TableField("company_name")
    private String companyName;
    //工作中心名称
    @TableField("work_center_name")
    private String workCenterName;
    //班组名称
    @TableField("product_line")
    private String teamGroupName;
    //一级工艺
    @TableField("first_process")
    private String firstProcess;
    //二级工艺
    @TableField("sec_process")
    private String secProcess;
    //websocket分组
    @TableField("websocket_group_id")
    private Integer websocketGroupId;
}
